Huawei AR1200 and AR2200 Series Routers

Certificate details

Certificate ID #2901
Status historical
Historical reason Moved to historical list due to sunsetting
Validation dates 08.05.2017
Standard FIPS 140-2
Security level 2
Type Hardware
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode and with the tamper evident seals installed as indicated in the Security Policy. The protocols IKEv1 and SNMP shall not be used when operated in FIPS mode.
Exceptions
  • Design Assurance: Level 3
  • Mitigation of Other Attacks: N/A
Description ARs are located between an enterprise network and a public network, functioning as the only ingress and egress for data transmitted between the two networks. The deployment of various network services over the ARs reduces operation & maintenance (O&M) costs as well as those associated with establishing an enterprise network.
Version (Hardware) AR1220E P/N 02350DQJ Version E.5 with [1], AR1220EVW P/N 02350DQL Version F.5 with [1] and AR2220E P/N 02350DQM Version E.6 with [1]; Tamper Evident Seals P/N 4057-113016 [1]
Version (Firmware) V200R008C10SPC110
Vendor Huawei Technologies Co., Ltd. http://www.huawei.com
Lab UL Verification Services, Inc.
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, AES128, AES192, AES256, DES, 3DES, Blowfish, SM4, HMAC
Asymmetric Algorithms
ECDSA, ECC, DH
Hash functions
SHA256, SHA384, SHA512, MD5
Schemes
Key Exchange, Key exchange, Key Agreement
Protocols
SSH, TLS, IKE, IKEv2, IKEv1, IPsec, VPN
Randomness
DRBG, RNG
Block cipher modes
CBC

Vendor
Huawei Technologies Co, Huawei, Huawei Technologies

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 2901,
  "dgst": "69be0182f4d8fa9f",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "SHS#3567",
        "#2862",
        "#4324",
        "#1023",
        "KTS#2861",
        "HMAC#2863",
        "#2863",
        "Triple-DES#2336",
        "HMAC#2862",
        "DRBG#1379",
        "Triple-DES#2335",
        "CVL#1036",
        "#2337",
        "#2335",
        "AES#4324",
        "#1379",
        "HMAC#2861",
        "#3567",
        "SHS#3565",
        "AES#4323",
        "SHS#3566",
        "KTS#2335",
        "Triple-DES#2337",
        "#4325",
        "#4323",
        "AES#4325",
        "#2336",
        "#3566",
        "#2861",
        "ECDSA#1023",
        "#3565"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "6",
        "113016",
        "5",
        "4057",
        "1"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 44,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 1
          },
          "ECDSA": {
            "ECDSA": 5
          }
        },
        "FF": {
          "DH": {
            "DH": 19
          }
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 25
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 35,
          "IKEv1": 1,
          "IKEv2": 1
        },
        "IPsec": {
          "IPsec": 15
        },
        "SSH": {
          "SSH": 50
        },
        "TLS": {
          "TLS": {
            "TLS": 5
          }
        },
        "VPN": {
          "VPN": 6
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 1
        },
        "KEX": {
          "Key Exchange": 1,
          "Key exchange": 1
        }
      },
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1": 3,
          "#10": 2,
          "#1023": 1,
          "#11": 3,
          "#12": 3,
          "#13": 3,
          "#1379": 2,
          "#14": 3,
          "#15": 3,
          "#16": 1,
          "#17": 1,
          "#18": 1,
          "#19": 1,
          "#2": 3,
          "#20": 1,
          "#21": 1,
          "#22": 1,
          "#23": 1,
          "#2335": 1,
          "#2336": 1,
          "#2337": 1,
          "#2861": 2,
          "#2862": 1,
          "#2863": 1,
          "#3": 2,
          "#3565": 1,
          "#3566": 1,
          "#3567": 1,
          "#4": 2,
          "#4323": 1,
          "#4324": 1,
          "#4325": 1,
          "#5": 2,
          "#6": 2,
          "#7": 3,
          "#8": 3,
          "#9": 2
        }
      },
      "fips_certlike": {
        "Certlike": {
          "AES (#4324": 1,
          "AES - 128": 6,
          "AES - 192": 5,
          "AES - 256": 5,
          "AES -128": 1,
          "AES -192": 1,
          "AES -256": 1,
          "AES128": 4,
          "AES192": 4,
          "AES256": 4,
          "DES (#2336": 1,
          "DRBG (Cert. #1379": 1,
          "DRBG 2": 1,
          "HMAC (#2862": 1,
          "HMAC - SHA - 1": 2,
          "HMAC - SHA - 1 - 96": 1,
          "HMAC - SHA - 1 160": 1,
          "HMAC - SHA - 256": 4,
          "HMAC - SHA - 384": 4,
          "HMAC - SHA - 512": 4,
          "HMAC Cert. #2861": 2,
          "SHA - 1": 17,
          "SHA - 1 - 96": 1,
          "SHA - 1 160": 1,
          "SHA - 256": 23,
          "SHA - 384": 18,
          "SHA - 512": 18,
          "SHA256": 4,
          "SHA384": 4,
          "SHA512": 4,
          "SHS (#3566": 1
        }
      },
      "fips_security_level": {},
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 2
          }
        },
        "SHA": {
          "SHA2": {
            "SHA256": 4,
            "SHA384": 4,
            "SHA512": 4
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 16
        },
        "RNG": {
          "RNG": 2
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140": 36,
          "FIPS 180": 2,
          "FIPS 197": 2,
          "FIPS 198": 2,
          "FIPS186": 1
        },
        "RFC": {
          "RFC 2865": 1,
          "RFC 4254": 1,
          "RFC 4303": 1,
          "RFC 4511": 1,
          "RFC 5246": 1,
          "RFC 6379": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 24,
            "AES128": 4,
            "AES192": 4,
            "AES256": 4
          }
        },
        "DES": {
          "3DES": {
            "3DES": 8
          },
          "DES": {
            "DES": 8
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 36
          }
        },
        "miscellaneous": {
          "Blowfish": {
            "Blowfish": 1
          },
          "SM4": {
            "SM4": 1
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Huawei": {
          "Huawei": 5,
          "Huawei Technologies": 1,
          "Huawei Technologies Co": 52
        }
      },
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "HMAC#2863",
        "SHS#3567",
        "Triple-DES#2336",
        "HMAC#2862",
        "DRBG#1379",
        "AES#4323",
        "ECDSA#1023",
        "KTS#2335",
        "SHS#3566",
        "HMAC#2861",
        "Triple-DES#2337",
        "Triple-DES#2335",
        "CVL#1036",
        "AES#4325",
        "AES#4324",
        "KTS#2861",
        "SHS#3565"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#2861",
        "#2863",
        "#2862",
        "#1379",
        "#4325",
        "#4323",
        "#4324",
        "#2336",
        "#3566",
        "#1023",
        "#2335",
        "#2337",
        "#3565",
        "#3567"
      ]
    },
    "policy_metadata": {
      "/Author": "rshelby",
      "/CreationDate": "D:20170504152005-07\u002700\u0027",
      "/Creator": "PScript5.dll Version 5.2.2",
      "/ModDate": "D:20170504152005-07\u002700\u0027",
      "/Producer": "Acrobat Distiller 11.0 (Windows)",
      "/Title": "Microsoft Word - 223e - Huawei_Router_AR1200  AR2200_Security Policy_v1.2.docx",
      "pdf_file_size_bytes": 699665,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 26
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "77a7c9d52aaad35304906b6266c646ade9fbb98e44f0bd39b8db91fdb6940f5c",
      "source_hash": "6f2646432feafde3ca7f8066798fc0385d4cd2d02c179fe95589c6845804d8db",
      "txt_hash": "86dcb9263f95be719532ebacb1280b90f69f3945788224a14f5c64b4d719b3b1"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode and with the tamper evident seals installed as indicated in the Security Policy. The protocols IKEv1 and SNMP shall not be used when operated in FIPS mode.",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertMay2017.pdf",
    "date_sunset": null,
    "description": "ARs are located between an enterprise network and a public network, functioning as the only ingress and egress for data transmitted between the two networks. The deployment of various network services over the ARs reduces operation \u0026 maintenance (O\u0026M) costs as well as those associated with establishing an enterprise network.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Design Assurance: Level 3",
      "Mitigation of Other Attacks: N/A"
    ],
    "fw_versions": "V200R008C10SPC110",
    "historical_reason": "Moved to historical list due to sunsetting",
    "hw_versions": "AR1220E P/N 02350DQJ Version E.5 with [1], AR1220EVW P/N 02350DQL Version F.5 with [1] and AR2220E P/N 02350DQM Version E.6 with [1]; Tamper Evident Seals P/N 4057-113016 [1]",
    "level": 2,
    "mentioned_certs": {},
    "module_name": "Huawei AR1200 and AR2200 Series Routers",
    "module_type": "Hardware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": null,
    "tested_conf": null,
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2017-05-08",
        "lab": "UL Verification Services, Inc.",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Huawei Technologies Co., Ltd.",
    "vendor_url": "http://www.huawei.com"
  }
}